Skip to main content
get/knowledge-fs/spaces/{knowledge_base_id}/sources/{source_id}/pages
Request example
Response
get/knowledge-fs/spaces/{knowledge_base_id}/sources/{source_id}/pages

Authorization

Authorizationstringheaderrequired#

每个请求都通过 API Key 认证:Authorization: Bearer {API_KEY}。应用接口使用应用 API Key,知识库接口使用知识库 API Key(快速开始)。

API Key 应保存在服务端,切勿嵌入客户端代码。缺失或无效的 Key 会返回 HTTP 401(unauthorized)。

Path parameters

knowledge_base_idstringrequired#
知识库 ID:即知识库 API 访问 对话框中所示服务 API 端点的最后一段(…/knowledge-fs/spaces/<knowledge base ID>),也是地址栏中 /datasets/new/ 之后的那一段。
source_idstringrequired#
数据源 ID,通过 获取数据源列表 获取。

Query parameters

cursorstring#
游标,取自上一页的 next_cursor。游标由提供商签发。

Length: 1–4096

limitinteger#
每次响应返回的页面数。

Default: 50

Range: 1–200

Responses

application/json
按工作空间分组的页面。
next_cursorstring#
下一页的游标,最后一页时为 null。将其作为 cursor 传回。
workspacesobject[]#
凭据可见的提供商工作空间。